<?php
/**
 * @copyright 2021 Double Bastion LLC <www.doublebastion.com>
 *
 * @author Double Bastion LLC
 *
 * @license GNU AGPL version 3 or any later version
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU AFFERO GENERAL PUBLIC LICENSE
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU AFFERO GENERAL PUBLIC LICENSE for more details.
 *
 * You should have received a copy of the GNU Affero General Public
 * License along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

declare(strict_types=1);

namespace OCA\SIPTripPhone\Controller;

use OCP\IRequest;
use OCP\AppFramework\Controller;
use OCA\SIPTripPhone\Service\SphoneService;


class SphoneController extends Controller {

    private $service;
    private $userId;

    public function __construct($appName, IRequest $request, SphoneService $service, $userId) {
        parent::__construct($appName, $request);
        $this->service = $service;
        $this->userId = $userId;
    }


    /**
     * @NoAdminRequired
     */
    public function getsettings($userId) {

           return $this->service->getsettings($this->userId);
    }

    /**
     * @NoAdminRequired
     */
    public function getsippass($userId) {

           return $this->service->getsippass($this->userId);
    }

   /**
    * @NoAdminRequired
    */
    public function updatesettings(string $userId, string $pdisplayname, string $sipusername, string $sipuserpassword, string $stphwssurl, string $siprealm, string $stunserver) {

          return $this->service->updatesettings($this->userId, $pdisplayname, $sipusername, $sipuserpassword, $stphwssurl, $siprealm, $stunserver);

    }

}
